package com.zj365.health.act.skin

import android.view.Gravity
import android.view.View
import com.xty.base.dialog.BaseDialogFragment
import com.xty.common.Const
import com.xty.common.Dateutils
import com.xty.common.util.CommonUtils
import com.zj365.health.databinding.DialogAiIcingBinding

class AiIcingPaySuccessDialog(var orderNo:String) : BaseDialogFragment() {

    val binding by lazy { DialogAiIcingBinding.inflate(layoutInflater) }
    override fun onCreateView(): View = binding.root

    override fun initView() {

    }

    override fun initData() {
        binding.tvOrderNo.text = "订单编号：${orderNo}"
        binding.tvOrderTime.text = "下单时间：${Dateutils.formatTime(System.currentTimeMillis(),Dateutils.YYYY_MM_DD_HH_MM_SS)}"
        Const.mainLiveData.value?.let {
            binding.tvTel.text = "预留电话：${it.user.phone}"

        }
    }

    override fun initListener() {
        binding.tvConfirm.setOnClickListener {
            dismiss()
        }

    }

    override fun getGravity(): Int  = Gravity.CENTER
}